# GimpUi.ColorNotebook.set_has_page

    @accepts(GimpUi.ColorNotebook, GType, bool)
    @returns(Gtk.Widget)
    def set_has_page(self, page_type, has_page):
        # Python wrapper for gimp_color_notebook_set_has_page()

This function adds and removed pages to / from a GimpUi.ColorNotebook. The page_type passed must be a GimpUi.ColorSelector subtype.

self

  A GimpUi.ColorNotebook widget.

page_type

  The GLib.Type of the notebook page to add or remove.

has_page

  Whether the page should be added or removed.

Returns